/* eslint-disable */
/* eslint-disable array-callback-return,no-undef */
import React, { Component } from 'react';
import { Layout } from 'antd-v4';// Tabs, Form,
// import * as commonUtils from '@/utils/utils'; /* 通用方法 */
import PreviewPdf from './PreviewPdf';


class printPdf extends Component {
  constructor(props) {
    super(props);
    this.state = {
      urlPrint: props.previewUrl ? props.previewUrl : undefined,
      bFitWidth: props.bFitWidth ? props.bFitWidth : undefined,
    };
  }
  render() {
    return (
      this.state.urlPrint !==undefined?
      <div className="printStyle">
        <PreviewPdf {...this.state} />
      </div>
    :''
    );
  }
}

export default printPdf;
